updateActivityRetention
PATCH
/api/v1/activity/retention
const url = 'https://example.com/api/v1/activity/retention';const options = { method: 'PATCH', headers: { cookie: 'tilecast_session=<tilecast_session>', 'Content-Type': 'application/json' }, body: '{"rawEventDays":1,"playbackSessionDays":1,"screenStateDays":1,"auditLogDays":1,"diagnosticMetadataDays":1,"telemetryRollupDays":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/activity/retention \ --header 'Content-Type: application/json' \ --cookie tilecast_session=<tilecast_session> \ --data '{ "rawEventDays": 1, "playbackSessionDays": 1, "screenStateDays": 1, "auditLogDays": 1, "diagnosticMetadataDays": 1, "telemetryRollupDays": 1 }'Update the activity retention policy within deployment hard limits. Requires an Owner or Administrator with the write scope. Cookie-authenticated unsafe requests require X-CSRF-Token.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters”X-CSRF-Token
string
Cookie-backed browser requests only, and only on unsafe methods. Bearer grants never send it.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
rawEventDays
integer
playbackSessionDays
integer
screenStateDays
integer
auditLogDays
integer
diagnosticMetadataDays
integer
telemetryRollupDays
integer
Examplegenerated
{ "rawEventDays": 1, "playbackSessionDays": 1, "screenStateDays": 1, "auditLogDays": 1, "diagnosticMetadataDays": 1, "telemetryRollupDays": 1}Responses
Section titled “ Responses ”Activity retention policy updated
Media typeapplication/json
object
data
required
object
rawEventDays
required
integer
playbackSessionDays
required
integer
screenStateDays
required
integer
auditLogDays
required
integer
diagnosticMetadataDays
required
integer
telemetryRollupDays
required
integer
updatedAt
required
string format: date-time
Examplegenerated
{ "data": { "rawEventDays": 1, "playbackSessionDays": 1, "screenStateDays": 1, "auditLogDays": 1, "diagnosticMetadataDays": 1, "telemetryRollupDays": 1, "updatedAt": "2026-04-15T12:00:00Z" }}Retention values invalid
Dashboard authentication required
Insufficient role
Retention values exceed hard limits